Line Settings
All operations require authentication.
List linesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ lines \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a line or trunkProduction
Path parameters
Your line number
Response
IAM resource metadata
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ lines/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string"}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
Your line number
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ lines/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
Your line number
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ lines/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
Your line number
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ lines/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List linesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a lineProduction
Path parameters
The name of your billingAccount
Response
Ability to manage SIP password on this service
The position of the line when attached to a device (0 if the line is not attached to a device)
The line offers
The infrastructure where is configured the line
Is this line attached to a phone that belongs to another line?
Send notifications about Line's diagnosticReports
The line offers (Deprecated, prefer "name" in getPublicOffer)
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "canChangePassword": true, "description": "string", "deviceSlot": 0, "getPublicOffer": { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }, "infrastructure": "string", "isAttachedToOtherLinesPhone": true, "notifications": { "logs": { "email": "string", "frequency": "Never", "sendIfNull": true } }, "offers": [ "string" ], "serviceName": "string", "serviceType": "alias", "simultaneousLines": 0}
Update a lineProduction
Path parameters
The name of your billingAccount
Request body (required)
Ability to manage SIP password on this service
The position of the line when attached to a device (0 if the line is not attached to a device)
The line offers
The infrastructure where is configured the line
Is this line attached to a phone that belongs to another line?
Send notifications about Line's diagnosticReports
The line offers (Deprecated, prefer "name" in getPublicOffer)
All existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List numbers blocked by antihackProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ antihack \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Clean antihack restrictionsProduction
Path parameters
The name of your billingAccount
Request body (required)
Type of action
AUTHORIZE_ALLAUTHORIZE_ONE_NUMBERBLOCK_ALLBLOCK_ONE_NUMBERNumber or short number restricted
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ antihack \
-H "authorization: Bearer $OVH_TOKEN"List available SIP domainsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ availableSipDomains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Block the lineProduction
Path parameters
The name of your billingAccount
Request body (required)
The block mode : outgoing, incoming, both (default: both)
bothincomingoutgoingResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ block \
-H "authorization: Bearer $OVH_TOKEN"Check if the SIP password can changeDeprecated
Deprecated since Mar 1, 2018, will be removed on Apr 1, 2018 — use /telephony/{billingAccount}/line/{serviceName}/ instead.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ canChangePassword \
-H "authorization: Bearer $OVH_TOKEN"true
Cancel a scheduled conversion to numberProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ cancelConvertToNumber \
-H "authorization: Bearer $OVH_TOKEN"Change the SIP passwordProduction
Path parameters
The name of your billingAccount
Request body (required)
The password
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"Schedule a conversion to numberProduction
Path parameters
The name of your billingAccount
Response
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ convertToNumber \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}
List last registered IPsProduction
Path parameters
The name of your billingAccount
Response
IP address (e.g., 192.0.2.0)
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ ips \
-H "authorization: Bearer $OVH_TOKEN"[ { "datetime": "2024-01-01T12:00:00Z", "ip": "192.0.2.0" }]
List last registrationsProduction
Path parameters
The name of your billingAccount
Response
SIP registration's date
SIP registration's domain
SIP registration's IP
SIP registration's local device IP
SIP registration's local device port
SIP registration's port
SIP registration's User-Agent
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ lastRegistrations \
-H "authorization: Bearer $OVH_TOKEN"[ { "datetime": "2024-01-01T12:00:00Z", "domain": "string", "ip": "192.0.2.0", "localIp": "192.0.2.0", "localPort": 0, "port": 0, "userAgent": "string" }]
Get the maximum simultaneous linesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ maximumAvailableSimultaneousLines \
-H "authorization: Bearer $OVH_TOKEN"0
Get the line offerProduction
Path parameters
The name of your billingAccount
Response
The offer description
The offer name
Offer price per month
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ offer \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }}
Get the line optionsProduction
Path parameters
The name of your billingAccount
Response
Reject anonymous calls
Whether or not the line has restriction on incoming calls
Whether or not the line has restriction on outgoing calls
If the line receives a new call and the line is already in communication, this new call is dispatched once the current call is completed
Codecs preferences
The default voicemail of the line. It can be the voicemail of any line of your account.
Phone number
The domain to configure in your SIP client.
Enable calls forward when the line is unavailable
Nature of the forward when the line is unavailable
faxnumbervoicemailDestination of the forward when the line is unavailable
Enable calls forward when the line is busy
Nature of the forward when the line is busy
faxnumbervoicemailDestination of the forward when the line is busy
Enable calls forward on no-reply
Delay before forward on no-reply
Nature of the forward on no-reply
faxnumbervoicemailDestination of the forward on no-reply
Enable unconditional calls forward
Nature of the unconditional forward
faxnumbervoicemailDestination of the unconditional forward
Do not display your number
Intercom mode: takes automatically the call with the loudspeaker
noprefixedyesThe ip restrictions of your line
Language of the line
DutchEnglish (UK)FrenchFrench (BE)GermanItalianSpanishDisallow outgoing calls
Disallow outgoing calls password
The outbound proxy to configure in your SIP client.
Enable or disable record of outgoing calls
Sound ID of on-call-waiting tone
Sound ID of on-hold tone
Sound ID of ringback tone
Voicemail number to dial from any other line
Voicemail short number to dial from the line
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"{ "absentSubscriber": true, "anonymousCallRejection": true, "callRestrictionIncoming": true, "callRestrictionOutgoing": true, "callWaiting": true, "codecs": "string", "defaultVoicemail": "string", "displayNumber": "string", "doNotDisturb": true, "domain": "string", "forwardBackup": true, "forwardBackupNature": "fax", "forwardBackupNumber": "string", "forwardBusy": true, "forwardBusyNature": "fax", "forwardBusyNumber": "string", "forwardNoReply": true, "forwardNoReplyDelay": 0, "forwardNoReplyNature": "fax", "forwardNoReplyNumber": "string", "forwardUnconditional": true, "forwardUnconditionalNature": "fax", "forwardUnconditionalNumber": "string", "identificationRestriction": true, "intercom": "no", "ipRestrictions": [ "192.0.2.0/24" ], "language": "Dutch", "lockOutCall": true, "lockOutCallPassword": "string", "proxy": "string", "recordOutgoingCallsBeta": true, "toneOnCallWaitingSoundId": 0, "toneOnHoldSoundId": 0, "toneRingbackSoundId": 0, "voicemailExternalNumber": "string", "voicemailInternalNumber": "string"}
Update the line optionsProduction
Path parameters
The name of your billingAccount
Request body (required)
Reject anonymous calls
Whether or not the line has restriction on incoming calls
Whether or not the line has restriction on outgoing calls
If the line receives a new call and the line is already in communication, this new call is dispatched once the current call is completed
Codecs preferences
The default voicemail of the line. It can be the voicemail of any line of your account.
Phone number
The domain to configure in your SIP client.
Enable calls forward when the line is unavailable
Nature of the forward when the line is unavailable
faxnumbervoicemailDestination of the forward when the line is unavailable
Enable calls forward when the line is busy
Nature of the forward when the line is busy
faxnumbervoicemailDestination of the forward when the line is busy
Enable calls forward on no-reply
Delay before forward on no-reply
Nature of the forward on no-reply
faxnumbervoicemailDestination of the forward on no-reply
Enable unconditional calls forward
Nature of the unconditional forward
faxnumbervoicemailDestination of the unconditional forward
Do not display your number
Intercom mode: takes automatically the call with the loudspeaker
noprefixedyesThe ip restrictions of your line
Language of the line
DutchEnglish (UK)FrenchFrench (BE)GermanItalianSpanishDisallow outgoing calls
Disallow outgoing calls password
The outbound proxy to configure in your SIP client.
Enable or disable record of outgoing calls
Sound ID of on-call-waiting tone
Sound ID of on-hold tone
Sound ID of ringback tone
Voicemail number to dial from any other line
Voicemail short number to dial from the line
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"List available codecsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ options/ availableCodecs \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the default codecsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ options/ defaultCodecs \
-H "authorization: Bearer $OVH_TOKEN""string"
Remove extra simultaneous linesProduction
Path parameters
The name of your billingAccount
Request body (required)
The quantity of extra simultaneous lines to remove
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ removeSimultaneousLines \
-H "authorization: Bearer $OVH_TOKEN"Get simultaneous channels detailsProduction
Path parameters
The name of your billingAccount
Response
Basic quantity of simultaneous channels included in the line.
Current quantity of simultaneous channels.
Extra quantity of simultaneous channels added to the line.
Maximum quantity of simultaneous channels the line can have.
Quantity of simultaneous channels going to be deleted at the end of the billing cycle.
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ simultaneousChannelsDetails \
-H "authorization: Bearer $OVH_TOKEN"{ "basic": 0, "current": 0, "extra": 0, "maximum": 0, "toBeDeleted": 0}
Get the tonesProduction
Path parameters
The name of your billingAccount
Response
Tone played when caller is waiting in queue
Custom soundNoneTone played when callee is ending call
Custom soundNoneTone played when caller is put on hold
Custom soundNonePredefined 1Predefined 2Ringback tone
Custom soundNoneExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ tones \
-H "authorization: Bearer $OVH_TOKEN"{ "callWaiting": "Custom sound", "endCall": "Custom sound", "onHold": "Custom sound", "ringback": "Custom sound"}
Update the tonesProduction
Path parameters
The name of your billingAccount
Request body (required)
Tone played when caller is waiting in queue
Custom soundNoneTone played when callee is ending call
Custom soundNoneTone played when caller is put on hold
Custom soundNonePredefined 1Predefined 2Ringback tone
Custom soundNoneResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ tones \
-H "authorization: Bearer $OVH_TOKEN"Upload a toneProduction
Path parameters
The name of your billingAccount
Request body (required)
ID of the /me/document file you want to import
Tones type
callWaitingendCallonHoldringbackURL of the file you want to import (instead of /me/document ID)
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ tones/ toneUpload \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Unblock the lineProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ unblock \
-H "authorization: Bearer $OVH_TOKEN"